      if ( thread_id == 0 ) then
        do ilo = 1, 801, 200
          do i = ilo, ilo + 49
            y(i) = y(i) + s * x(i)
          end do
        end do
      else if ( thread_id == 1 ) then
        do ilo = 51, 851, 200
          do i = ilo, ilo + 49
            y(i) = y(i) + s * x(i)
          end do
        end do
      else if ( thread_id == 2 ) then
        do ilo = 101, 901, 200
          do i = ilo, ilo + 49
            y(i) = y(i) + s * x(i)
          end do
        end do
      else if ( thread_id == 3 ) then
        do ilo = 151, 951, 200 
          do i = ilo, ilo + 49
            y(i) = y(i) + s * x(i)
          end do
        end do
      end if


